import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.util.List;

public class ClientSearcher {

	public static void main(String[] args) {
		try {
			Registry registry = LocateRegistry.getRegistry("localhost");
			MethosInterfaces stub = (MethosInterfaces) registry.lookup("Server");
			List<Vehicle> msg = (List) stub.search("year", "2008");
			for (int i=0; i < msg.size(); i++) { 
				Vehicle v = msg.get(i);
				System.out.println(v.getSeller() + " is selling Year:" + v.getYear() + " Model:" + v.getModel() + " Price " + v.getPrice() + " Type: " + v.getType());
			}
			System.out.println("Message from Server: " + msg);
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}
